Subject: Re: can not clone via git:// anymore

From: Michael J Gruber <[email-masked]>
Date: Wed, 04 Mar 2009 13:59:15 +0100

Hinko Kocevar venit, vidit, dixit 04.03.2009 12:24:
> Hi,
> 
> I've recently discovered that my GIT repository is not letting me clone it via git clone git://.
> It works using git clone git@.. (SSH) but with GIT protocol..
> 
> Here is the case:
> hinkok@alala /tmp $ git --version
> git version 1.6.0.6
> hinkok@alala /tmp $ git clone git://zidar/sdk.git
> Initialized empty Git repository in /tmp/sdk/.git/
> fatal: The remote end hung up unexpectedly
> 
> My earlier clone (few months old) has this in .git/config:
> hinkok@alala /work/git/sdk.git $ cat .git/config 
> [core]
> 	repositoryformatversion = 0
> 	filemode = true
> 	bare = false
> 	logallrefupdates = true
> [remote "origin"]
> 	url = git@zidar:repositories/sdk.git
> 	fetch = +refs/heads/*:refs/remotes/origin/*
> [branch "master"]
> 	remote = origin
> 	merge = refs/heads/master
> 
> 
> But I remember cloning via SSH that time, because I needed git push to work,
> but now other developer do not need the SSH access, but only GIT read-only -
> they can only clone, not push.
> 
> I do not administer the server git repos is located on, so I must have some
> information before I attack the admin..

Sorry in case this is trivial, but has git: access ever worked? It
requires a git daemon running on the server, whereas ssh access does not
require that. git@zidar:repositories/sdk.git uses ssh access.

Michael